CUDA 7 : GPU requirements (GeForce 9400M) ?

Hi,

I tried but couldn’t locate the GPU requirement for CUDA 7 from the page https://developer.nvidia.com/cuda-toolkit

I have a late 2008 MacBook laptop with a GeForce 9400M 256MB

I am wondering (without downloading and installing) if I would be able to develop and prototype CUDA 7 applications on the above laptop.

Cheers

A list of supported GPUs is here: https://developer.nvidia.com/cuda-gpus

In addition, many older Mac models were marked as unsupported starting with the CUDA Toolkit 6.0. The list is available in the CUDA 6.0 Release Notes:

http://developer.download.nvidia.com/compute/cuda/6_0/rel/docs/CUDA_Toolkit_Release_Notes.pdf
(linked to from the CUDA 6.0 Toolkit page found on the archive here: https://developer.nvidia.com/cuda-toolkit-archive)

I’ll copy the list here for your convenience:

Mac Models with the MCP79 Chipset
The CUDA 6.0 toolkit and r331 driver do not work on Macs with GPUs based on the
MCP79 chipset. To continue developing or running CUDA applications, please use
the CUDA 5.5 toolkit or r319 driver, as appropriate. The affected Mac models include
the following:

iMac (20-inch, Early 2009)
MacBook Pro (15-inch, Late 2008)
iMac (24-inch, Early 2009)
MacBook Pro (15-inch, Mid 2009)
iMac (21.5-inch, Late 2009)
MacBook Pro (15-inch 2.53 GHz, Mid 2009)
MacBook Air (Late 2008, Mid 2009)
MacBook Pro (13-inch, Mid 2009)
MacBook Pro (17-inch, Early 2009)
Mac mini (Early 2009)
MacBook Pro (17-inch, Mid 2009)
Mac mini (Late 2009)